.social-floating {
    position: absolute;
    top: 35%;
    left: 5px;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 5px;
    /* z-index: 9999;*/
}

.social-floating a,.social-footer a {
  width: 48px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 22px;
  border-radius: 0 8px 8px 0;
  transition: 0.3s;
}

.social-floating a:hover,.social-footer a:hover {
  padding-left: 8px;
  opacity: 0.9;
}

.social-footer
 {
    transform: translateY(-50%);
    display: flex;
    flex-direction: row;
    gap: 36px;
    padding: ;
    z-index: 9998;
    justify-content: center;
}

/* ألوان المنصات 
.xfacebookx { background: #1877f2; }
.xtwitterx { background: #1da1f2; }
.xinstagramx { background: #e1306c; }
.xtiktokx { background: #000000; }
.xyoutubex { background: #FF0000; }
*/

/* ⭐ متجاوبة مع الجوال */
 /* @media (max-width: 768px) {
.social-floating {
    top: auto;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    flex-direction: row;
    gap: 15px;
  }

  .social-floating a {
    width: 45px;
    height: 45px;
    border-radius: 50%;
  }	
}
*/